API ReferenceKnowledge BaseCollections
Set a Workflow's Collections
Set which knowledge base collections a workflow's document picker is scoped to
Replaces the full set of associated collections. See Get a Workflow's Collections for what this does and doesn't affect.
Path Parameters
workflow_id*Workflow Id
Header Parameters
X-API-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for setting which collections a workflow draws from.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/v1/knowledge-base/workflows/0/collections" \ -H "Content-Type: application/json" \ -d '{}'{ "collection_uuids": [ "string" ]}